Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::DataSet::CompositeSource::base_source_iterator< T > Class Template Reference

List of all members.

## Public Member Functions
| base_source_iterator (CompositeSource *composite=0, T advancer=T())
| base_source_iterator (const base_source_iterator &rhs)
base_source_iterator & | operator= (const base_source_iterator &rhs)
bool | operator== (const base_source_iterator &rhs) const
bool | operator!= (const base_source_iterator &rhs) const
bool | valid () const
osg::ref_ptr< Source > & | operator * ()
osg::ref_ptr< Source > * | operator-> ()
base_source_iterator & | operator++ ()
base_source_iterator | operator++ (int)
bool | advance ()
## Protected Attributes
T | _advancer
iterator | _compositeIterator
int | _sourceIndex
osg::ref_ptr< Source > | _nullSource

### template<class T>
class osgTerrain::DataSet::CompositeSource::base_source_iterator< T >

## Constructor & Destructor Documentation

template<class T>
osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::base_source_iterator | ( | CompositeSource * | composite = 0,
|  | T | advancer = T()
| ) | `[inline]`

template<class T>
osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::base_source_iterator | ( | const base_source_iterator< T > & | rhs | ) | `[inline]`

## Member Function Documentation

template<class T>
bool osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::advance | ( |  | ) | `[inline]`

template<class T>
osg::ref_ptr<Source>& osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::operator * | ( |  | ) | `[inline]`

template<class T>
bool osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::operator!= | ( | const base_source_iterator< T > & | rhs | ) | const`[inline]`

template<class T>
base_source_iterator osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::operator++ | ( | int |  | ) | `[inline]`

template<class T>
base_source_iterator& osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::operator++ | ( |  | ) | `[inline]`

template<class T>
osg::ref_ptr<Source>* osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::operator-> | ( |  | ) | `[inline]`

template<class T>
base_source_iterator& osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::operator= | ( | const base_source_iterator< T > & | rhs | ) | `[inline]`

template<class T>
bool osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::operator== | ( | const base_source_iterator< T > & | rhs | ) | const`[inline]`

template<class T>
bool osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::valid | ( |  | ) | const`[inline]`

## Member Data Documentation

template<class T>
T osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::_advancer`[protected]`

template<class T>
iterator osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::_compositeIterator`[protected]`

template<class T>
osg::ref_ptr<Source> osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::_nullSource`[protected]`

template<class T>
int osgTerrain::DataSet::CompositeSource::base_source_iterator< T >::_sourceIndex`[protected]`

The documentation for this class was generated from the following file:

- DataSet